#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID


cat > /usr/share/ombutel/backup-scripts/phonebookmanager.php <<-"EOF"
<?php
class backup_phonebookmanager extends backup_component {
  public function name() {
    return 'Phonebookmanager';
  }
  public function optional() {
    return true;
  }
  public function requires() {
    return [];
  }
  public function backup($tmpdir) {
    $archives = [];
    
    if (file_exists($dirname = "/usr/share/ombutel/www/phonebookmanager/scripts/backup_slapd.sh")) {
      $archive = "{$tmpdir}/ipconn_phonebookmanager.tar";
      static::exec(
        "/bin/bash /usr/share/ombutel/www/phonebookmanager/scripts/backup_slapd.sh -f $archive"
      );
      $archives[] = $archive;
    }

    return $archives;
  }
  public function pre_restore($tmpdir) {
  }
  public function restore($tmpdir) {
    if (file_exists($archive = "{$tmpdir}/ipconn_phonebookmanager.tar")) {
      static::exec(
        "/bin/bash /usr/share/ombutel/www/phonebookmanager/scripts/restore_slapd.sh -f $archive"
      );
    }
  }
  public function post_restore($tmpdir) {
    
  }
}
?>
EOF


cat > /usr/share/ombutel/www/i18n/en_US/backup_and_restore-Phonebookmanager.txt <<EOF
backup_and_restore.include_Phonebookmanager = Include Phonebookmanager
backup_and_restore.include_Phonebookmanager.tooltip = Enabling this will add Phonebookmanager to the backup
backup_and_restore.restore_Phonebookmanager = Restore Phonebookmanager
backup_and_restore.restore_Phonebookmanager.tooltip = Enabling this will replace existing Phonebookmanager data with those contained in this backup
EOF

cat > /usr/share/ombutel/www/i18n/fr_FR/backup_and_restore-Phonebookmanager.txt <<EOF
backup_and_restore.include_Phonebookmanager = Inclure Phonebookmanager
backup_and_restore.include_Phonebookmanager.tooltip = Cocher cette option pour sauvegarder Phonebookmanager
backup_and_restore.restore_Phonebookmanager = Restaurer Phonebookmanager
backup_and_restore.restore_Phonebookmanager.tooltip = Cocher cette option pour restaurer les données du serveur Phonebookmanager telles qu'elles etaient lors de la sauvegarde.
EOF