#!/bin/bash

function showUsage() {
	echo "Usage: $(basename $0) -f filename"
	echo "File must be a tar file"
  exit 1
}

BACKUPFILE=
while getopts ':f:' OPTION; do
  case "$OPTION" in 
    f) 
      BACKUPFILE="$OPTARG"
			;;
    ?) 
      showUsage
      ;;
  esac
done
if [ "$BACKUPFILE" = "" ]
then
	showUsage
fi

if [ ! -d /etc/ldap/slap.d -a ! -d /etc/openldap/slapd.d ]
then 
  echo "slapd data seems to no exist. Canceling."
	exit 0
fi

DATADIR=/var/lib/ldap
CONFDIR=
if [ -d /etc/ldap/slapd.d ]
then
	CONFDIR="/etc/ldap/slapd.d"
	
else
	CONFDIR="/etc/openldap/slapd.d"
fi

systemctl stop slapd
slapcat -n 0 -l /tmp/config.ldif
slapcat -l /tmp/data.ldif
tar cf $BACKUPFILE /tmp/config.ldif /tmp/data.ldif
rm -f /tmp/config.ldif
rm -f /tmp/data.ldif
systemctl start slapd

echo "Backup in $BACKUPFILE done."
exit 0