#!/bin/bash

function showUsage() {
	echo "Usage: $(basename $0) -f filename"
	echo "File must be a tar file generated by backup_slapd.sh script"
  exit 1
}

BACKUPFILE=
while getopts ':f:' OPTION; do
  case "$OPTION" in 
    f) 
      BACKUPFILE="$OPTARG"
			;;
    ?) 
      showUsage
      ;;
  esac
done
if [ "$BACKUPFILE" = "" ]
then
	showUsage
fi

if [ ! -d /etc/ldap/slap.d -a ! -d /etc/openldap/slapd.d ]
then 
  echo "slapd data seems to no exist. i can't continue."
	exit 1
fi


TMPDIR=/tmp/slapd_back
DATADIR=/var/lib/ldap
CONFDIR=
if [ -d /etc/ldap/slapd.d ]
then
	CONFDIR="/etc/ldap/slapd.d"
	
else
	CONFDIR="/etc/openldap/slapd.d"
fi


systemctl stop slapd
mkdir $TMPDIR
tar -xvf $BACKUPFILE --strip-components=1 -C $TMPDIR
mv $DATADIR $DATADIR.bak
mv $CONFDIR $CONFDIR.bak
mkdir $CONFDIR
mkdir $DATADIR
slapadd -n 0 -F $CONFDIR -l $TMPDIR/config.ldif
chown -R ldap:ldap $CONFDIR
slapadd -F $CONFDIR -l $TMPDIR/data.ldif
chown -R ldap:ldap $DATADIR

rm -rf $TMPDIR

systemctl start slapd
echo "Restoration of $BACKUPFILE done."
exit 0